Page MenuHomePhabricator

Sometimes Kartographer crashes on page load
Closed, ResolvedPublic

Description

Sometimes maps don't load, and there is a crash report. I get it if i keep reloading maps help page.

Exception in module-execute in module ext.kartographer.frame:
TypeError: mw.Uri is not a constructor TypeError: mw.Uri is not a constructor
    at loadExternalDataAsync (eval at <anonymous> (https://www.mediawiki.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=07zvr6j:4:681), <anonymous>:8:940)
    at loadGeoJsonRec (eval at <anonymous> (https://www.mediawiki.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=07zvr6j:4:681), <anonymous>:8:863)
    at Object.eval (eval at <anonymous> (https://www.mediawiki.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=07zvr6j:4:681), <anonymous>:8:516)
    at Function.each (https://www.mediawiki.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=07zvr6j:5:235)
    at loadGeoJsonRec (eval at <anonymous> (https://www.mediawiki.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=07zvr6j:4:681), <anonymous>:8:486)
    at Array.eval (eval at <anonymous> (https://www.mediawiki.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=07zvr6j:4:681), <anonymous>:8:304)
    at Function.each (https://www.mediawiki.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=07zvr6j:5:318)
    at loadGeoJsonAsync (eval at <anonymous> (https://www.mediawiki.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=07zvr6j:4:681), <anonymous>:8:274)
    at getMapGroupData (eval at <anonymous> (https://www.mediawiki.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=07zvr6j:4:681), <anonymous>:7:353)
    at NewClass.addDataGroups (eval at <anonymous> (https://www.mediawiki.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=07zvr6j:4:681), <anonymous>:12:26)

Details

Related Gerrit Patches:
mediawiki/extensions/Kartographer : wmf/1.28.0-wmf.18Fix mw.Uri crushing bug
mediawiki/extensions/Kartographer : masterFix mw.Uri crushing bug

Event Timeline

Yurik created this task.Sep 9 2016, 5:49 AM
Restricted Application added a project: Discovery. · View Herald TranscriptSep 9 2016, 5:49 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 309520 had a related patch set uploaded (by Yurik):
Fix mw.Uri crushing bug

https://gerrit.wikimedia.org/r/309520

Change 309520 merged by jenkins-bot:
Fix mw.Uri crushing bug

https://gerrit.wikimedia.org/r/309520

JGirault moved this task from Backlog to Needs review on the Maps-Sprint board.Sep 9 2016, 10:13 AM

Change 309925 had a related patch set uploaded (by Yurik):
Fix mw.Uri crushing bug

https://gerrit.wikimedia.org/r/309925

Change 309925 merged by jenkins-bot:
Fix mw.Uri crushing bug

https://gerrit.wikimedia.org/r/309925

Mentioned in SAL [2016-09-12T13:27:27Z] <hashar@tin> Synchronized php-1.28.0-wmf.18/extensions/Kartographer: Fix mw.Uri crushing bug T145178 (duration: 00m 49s)

JGirault closed this task as Resolved.Sep 14 2016, 3:12 PM
JGirault claimed this task.